/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ApplicationProfileForResourceCreationDto } from './application-profile-for-resource-creation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { DisciplineForResourceManipulationDto } from './discipline-for-resource-manipulation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { FixedValueForResourceManipulationDto } from './fixed-value-for-resource-manipulation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { LicenseForResourceManipulationDto } from './license-for-resource-manipulation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ResourceTypeOptionsForCreationDto } from './resource-type-options-for-creation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { VisibilityForResourceManipulationDto } from './visibility-for-resource-manipulation-dto';

/**
 * Represents the data transfer object (DTO) used for creating a resource.  Inherits properties from Coscine.Api.Core.Shared.DataTransferObjects.ParameterObjects.ResourceForManipulationDto.
 * @export
 * @interface ResourceForCreationDto
 */
export interface ResourceForCreationDto {
    /**
     * The name of the resource.
     * @type {string}
     * @memberof ResourceForCreationDto
     */
    'name': string;
    /**
     * The display name of the resource.
     * @type {string}
     * @memberof ResourceForCreationDto
     */
    'displayName'?: string | null;
    /**
     * The description of the resource.
     * @type {string}
     * @memberof ResourceForCreationDto
     */
    'description': string;
    /**
     * The keywords associated with the resource.
     * @type {Array<string>}
     * @memberof ResourceForCreationDto
     */
    'keywords'?: Array<string> | null;
    /**
     * Fixed values associated with the resource.
     * @type {{ [key: string]: { [key: string]: Array<FixedValueForResourceManipulationDto>; }; }}
     * @memberof ResourceForCreationDto
     */
    'fixedValues'?: { [key: string]: { [key: string]: Array<FixedValueForResourceManipulationDto>; }; } | null;
    /**
     * 
     * @type {LicenseForResourceManipulationDto}
     * @memberof ResourceForCreationDto
     */
    'license'?: LicenseForResourceManipulationDto;
    /**
     * The usage rights description of the resource.
     * @type {string}
     * @memberof ResourceForCreationDto
     */
    'usageRights'?: string | null;
    /**
     * If a local copy for the metadata should be created.
     * @type {boolean}
     * @memberof ResourceForCreationDto
     */
    'metadataLocalCopy'?: boolean | null;
    /**
     * 
     * @type {VisibilityForResourceManipulationDto}
     * @memberof ResourceForCreationDto
     */
    'visibility': VisibilityForResourceManipulationDto;
    /**
     * The disciplines associated with the resource.
     * @type {Array<DisciplineForResourceManipulationDto>}
     * @memberof ResourceForCreationDto
     */
    'disciplines': Array<DisciplineForResourceManipulationDto>;
    /**
     * The identifier of the resource type associated with the resource.
     * @type {string}
     * @memberof ResourceForCreationDto
     */
    'resourceTypeId': string;
    /**
     * 
     * @type {ApplicationProfileForResourceCreationDto}
     * @memberof ResourceForCreationDto
     */
    'applicationProfile': ApplicationProfileForResourceCreationDto;
    /**
     * 
     * @type {ResourceTypeOptionsForCreationDto}
     * @memberof ResourceForCreationDto
     */
    'resourceTypeOptions': ResourceTypeOptionsForCreationDto;
}

